HATARI(1)

NAME
Hatari - emulateur Atari ST(e)

SYNOPSIS
hatari [options] [diskimage]

DESCRIPTION
Hatari est un emulateur d'Atari ST(e) pour Linux, FreeBSD, BeOS ainsi que tout systemes d'exploitation supportant la bibliotheque SDL.

Avec Hatari vous pouvez lancer des jeux, demos ou des applications ecrites pour l'Atari ST ou STE. Il supporte egalement les images de disquettes les plus couramment utilisees a savoir *.st et *.msa. Il permet aussi l'emulation de disque dur.

Pour lancer l'emulateur une image ROM du TOS est requise. EmuTOS est une implementation libre du TOS fournie avec Hatari. Malheureusement cette derniere n'est pas entierement compatible avec le TOS original donc certains programmes risquent de ne pas fonctionner correctement. Pour cela, il est recommande d'utiliser une ROM TOS issue d'un veritable Atari.

OPTIONS
Les options sont classées en sous catégories:

Options générale

-h, --help
    affiche les options de la ligne de commande

-v, --version
    affiche les informations sur la version

--confirm-quit <bool>
    Whether Hatari confirms quitting

-c, --configfile <filename>
    utilise un fichier nomme explicitement comme fichier de configuration en lieu et place du ~/.config/hatari/hatari.cfg

Options d'écran

--monitor <x>
    selectionne le type de moniteur (x = mono/rgb/vga/tv)

-f, --fullscreen
    demarre l'emulateur en mode plein ecran

-w, --window
    demarre l'emulateur en mode fenetre

-z, --zoom <x>
    agrandir les petites résolutions (1=non, 2=oui)

--frameskips <x>
    Saute <x> images apres chaque image affichees pour accelerer l'emulation (0 <= x <= 8)

--borders <bool>
    Show screen borders (for overscan demos etc)

--spec512 <x>
    Hatari uses this threshold to decide when to render a screen with the slower but more accurate Spectrum512 screen conversion functions (0 <= x <= 512, 0=disable)

--bpp <bool>
    Force given internal bitdepth (x=8/16/32, x=0 for autodetection). 8-bit color depth may be useful for older host computers

Options de VDI

--vdi-planes <x>
    utilise une resolution VDI etendue avec une profondeur de bit de <x> (x = 1, 2 or 4)

--vdi-width <w>
    utilise une resolution VDI etendue avec une largeur de <w> (384 <= w <= 1024)

--vdi-height <h>
    utilise une resolution VDI etendue avec une hauteur de <h> (200 < h <= 768)

Options d'interface

-j, --joystick <port>
    emule le joystick ST sur le <port> 0 ou 1 avec le clavier

--printer <file>
    active le support de l'imprimante et ecrit les donnees dans le fichier <file>

--midi <filename>
    active la sortie MIDI experimentale vers un fichier mentionne par un nom

--rs232 <filename>
    active l'emulation experimentale du RS232 via un fichier/device nomme explicitement

Options des disques

-d, --harddrive <dir>
    utilise <dir> comme un disque dur emule

--acsi <file>
    emule un disque dur ACSI avec un fichier image <file>

--fastfdc <bool>
    accelere l'emulation du FDC (peut entrainer des erreurs dans certains jeux ou demos)

Options de mémoire

-s, --memsize <x>
    fixe une quantite de memoire pour la RAM emulee, x = 1 a 14 MiB, ou 0 pour 512 Ko

-t, --tos <imagefile>
    specifie une image ROM TOS a utiliser

--cartridge <imagefile>
    utilise une image ROM de cartouche <file> (fonctionne uniquement si l'emulation de disque dur et VDI etendue sont desactivee)

--memstate <file>
    Load memory snap-shot <file>

Option du processeur

--cpulevel <x>
    specifie un CPU (680x0) a utiliser (TOS 2.06 uniquement!!)

--cpuclock <x>
    Set the CPU clock (8, 16 or 32 Mhz)

--compatible <bool>
    utilise le mode de compatibilite plus fidele mais plus lent que le mode 68000

Options diverses du système

--machine <x>
    selectionne un type de machine (x = st, ste, tt ou falcon)

--blitter <bool>
    active l'emulation du blitter

--dsp <x>
    emulation du DSP du Falcon (x = aucune, factice ou emulee)

--sound <x>
    Régle le son (x=off/low/med/hi)

--keymap <file>
    charge un fichier de refinition du clavier de <file>

Options de déboguer

-D, --debug
    active le deboggueur integre

--log <file>
    Sauvegarde le rapport vers le fichier <file> (peut aussi etre "stdout" ou "stderr")

--trace <trace1,...>
    Activate debug traces, see --trace help for tracing options

COMMANDS
Les touches de raccourcis peuvent etre parametrees dans le fichier de configurations. Par defaut, les parametres sont:

AltGr + a
    enregistre l'animation

AltGr + g
    fait une capture d'ecran

AltGr + i
    touche patron: quitte le mode plein ecran et met la fenetre en icone

AltGr + j
    active l'emulation joystick via les touches de directions

AltGr + m
    (active/desactive) la souris dans la fenetre

AltGr + r
    eteint le ST (a chaud)

AltGr + c
    eteint le ST a froid (comme le bouton original d'allumage)

AltGr + s
    active/desactive le son

AltGr + q
    quitte l'emulateur

AltGr + x
    change la vitesse normale/maximum

AltGr + y
    active/desactive l'enregistrement du son

AltGr + k
    sauvegarde l'etat de la memoire

AltGr + l
    restaure l'etat de la memoire

F11 change le mode entre plein ecran et fenetre

F12 active les commandes GUI de Hatari
    Vous pouvez avoir besoin de tenir la touche SHIFT en mode fenetre

Pause
    Ouvrira le deboggueur, s'il etait active avec l'option --debug

Clavier d'Atari ST emule
Toutes les autres touches du clavier PC agissent comme celles de Atari ST donc si vous appuyez sur ESPACE sur votre PC il en resultera sur le clavier d'Atari ST un appuis sur la touche ESPACE. Les touches suivantes ont une signification speciales :

Alt Agira comme la touche ALTERNATE du clavier ST

left Ctrl
    Agira comme la touche CONTROL du clavier ST

Page Up
    Emulera la touche HELP du clavier ST

Page Down
    Emulera la touche UNDO du clavier ST

AltGr Agira comme Alternate tel sauf si vous appuyez sur les touches speciales d'Hatari. La touche right Ctrl est utilisee comme le bouton feu d'un joystick emule que vous aurez active precedement par l'emulation du joystick via les touches du clavier. Le touche de directions agiront comme les touches de directions sur l'Atari ST tant que l'emulation du joystick par le clavier est inactive.

VOIR AUSSI
La documentation originale du programme, habituellement en /usr/share/doc/.

La page d'accueil d'Hatari : http://hatari.tuxfamily.org/

FICHIERS

/etc/hatari.cfg (ou /usr/local/etc/hatari.cfg)
    le fichier de configuration global d'Hatari

~/.hatari/hatari.cfg
    Le fichier de configuration de l'utilisateur personnel d'Hatari

tos.img
    L'image ROM du TOS qui sera charge a partir du repertoire de donnees d'Hatari si aucun argument n'est specifie sur la ligne de commande ou dans le fichier de configuration.

AUTEURS
Cette page du manuel a ete ecrite par Marco Herrn <marco@mherrn.de>, pour le projet Debian et modifiee par la suite par Thomas Huth pour les versions plus recentes d'Hatari

TRADUCTEUR
Benoît TUDURI <skweek@users.sourceforge.net>